# Run the system-wide support stuff
. $GLOBALAUTOSTART

# This shell script is run before Openbox launches.
# Environment variables set here are passed to the Openbox session.

# Set a background color
BG=""
if which hsetroot >/dev/null 2>&1; then
    BG=hsetroot
else
    if which esetroot >/dev/null 2>&1; then
	BG=esetroot
    else
	if which xsetroot >/dev/null 2>&1; then
	    BG=xsetroot
	fi
    fi
fi
test -z $BG || $BG -solid "#303030"

# D-bus
if which dbus-launch >/dev/null 2>&1 && test -z "$DBUS_SESSION_BUS_ADDRESS"; then
       eval `dbus-launch --sh-syntax --exit-with-session`
fi

# Make GTK apps look and behave how they were set up in the gnome config tools
if test -x /usr/libexec/gnome-settings-daemon >/dev/null; then
  /usr/libexec/gnome-settings-daemon &
elif which gnome-settings-daemon >/dev/null 2>&1; then
  gnome-settings-daemon &
# Make GTK apps look and behave how they were set up in the XFCE config tools
elif which xfce-mcs-manager >/dev/null 2>&1; then
  xfce-mcs-manager n &
fi

# Preload stuff for KDE apps
if which start_kdeinit >/dev/null 2>&1; then
  LD_BIND_NOW=true start_kdeinit --new-startup +kcminit_startup &
fi

# Run XDG autostart things.  By default don't run anything desktop-specific
# See xdg-autostart --help more info
DESKTOP_ENV=""
if which /usr/lib/openbox/xdg-autostart >/dev/null 2>&1; then
  /usr/lib/openbox/xdg-autostart $DESKTOP_ENV
fi

hsetroot -fill ~/openbox/WP-op.jpg &
#pcmanfm --desktop --set-wallpaper=~/openbox/obox02.jpg --wallpaper-mode=center -d &

#xcompmgr -cC -t-5 -l-5 -r4.2 -o.55 &
xcompmgr  -r4.2 -o.55 &

# FCITX support (for typing non-english characters)
#export LC_CTYPE=zh_CN.utf8
#export XMODIFIERS=@im=fcitx
#export GTK_IM_MODULE=fcitx
#export QT_IM_MODULE=fcitx
#fcitx -d &

#pkill -9 ibus-daemon
killall ibus-daemon > /dev/null 2>&1
ibus-daemon -xrd

# Programs that will run after Openbox has started
#(sleep 2 && tint2) &
#bmpanel arch &
#bmpanel2 &
tint2 -c ~/.tint2rc-op &
(sleep 1 && conky) &
conky -c .conky-top-openbox &
parcellite &
#obmixer &
(sleep 2 && urxvt -e byobu) &
#ipager &
#superswitcher -C -t &
#obsetlayout 0 3 3 0 &
numlockx &

